import java.util.*;
import java.io.*;

public class MakeJob {

    public static void main(String[] args) {
	String ca    = args[0];
	int n        = Integer.parseInt(args[1]);               // size of grid
	int maxTime  = Integer.parseInt(args[2]);               // number of iterations
	double tau   = Double.parseDouble(args[3]);             // the click of the clock
	int m        = (args.length/3) - 1;                     // m species
	int reps     = Integer.parseInt(args[args.length - 1]); // number of jobs

	for (int k=0;k<reps;k++){
	    System.out.print("java "+ ca +" "+ n +" "+ maxTime +" "+ tau +" ");
	    for (int i=1;i<=m;i++){
		System.out.print(Integer.parseInt(args[3*i+1]) +" ");     // population size
		System.out.print(Double.parseDouble(args[3*i+2]) +" "); // birth rate
		System.out.print(Double.parseDouble(args[3*i+3]) +" "); // death rate
	    }
	    System.out.print("> ../results/"+ ca +"-"+ n +"-"+ maxTime +"-"+ tau);
	    for (int i=1;i<=m;i++){
		System.out.print("-"+ Integer.parseInt(args[3*i+1]));     // population size
		System.out.print("-"+ Double.parseDouble(args[3*i+2])); // birth rate
		System.out.print("-"+ Double.parseDouble(args[3*i+3])); // death rate
	    }
	    if (k<10) 
		System.out.println("-0"+ k +".txt ");
	    else
		System.out.println("-"+ k +".txt ");
	}
    }
}
